import request from '@/utils/request'

// 分页查询抽奖活动
export function getPageLotteryActivities(params) {
  return request({
    url: '/lottery/page',
    method: 'get',
    params
  })
}

// 查询抽奖活动
export function getByIdLotteryActivities(params) {
  return request({
    url: '/lottery/getById',
    method: 'get',
    params
  })
}

// 新增抽奖活动
export function saveLotteryActivities(data) {
  return request({
    url: '/lottery/save',
    method: 'post',
    data
  })
}

// 修改抽奖活动
export function updateLotteryActivities(data) {
  return request({
    url: '/lottery/update',
    method: 'post',
    data
  })
}

// 删除抽奖活动
export function deleteByIdLotteryActivities(params) {
  return request({
    url: '/lottery/deleteById',
    method: 'delete',
    params
  })
}
